<script lang="ts" setup>
import { RouterLink } from 'vue-router';

defineProps({
  color: {
    type: String,
    required: false,
    default: 'var(--complementary-gray-3)'
  },
  textColor: {
    type: String,
    required: false,
    default: 'var(--complementary-white)'
  },
  link: {
    type: String,
    required: false,
    default: '#'
  }
})

</script>

<template>
  <RouterLink :to="link" class="button">
    <slot />
  </RouterLink>
</template>

<style>
.button {
  display: flex;
  align-items: center;

  gap: 8px;
  min-height: 32px;
  border-radius: 8px;
  padding: 0px 8px;
  border: none;

  background-color: v-bind(color);
  color: v-bind(textColor);
  text-decoration: none;

  font-weight: 600;
  font-size: 14px;
}
</style>